Security Lab

PHP-инклюдинг в ACGV News

Дата публикации:08.09.2006
Всего просмотров:1135
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: CVE-2006-4638
CVE-2006-4637
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: ACGV News 0.x
Уязвимые версии: ACGV News 0.9.1, возможно другие версии.

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный PHP сценарий на целевой системе.

Уязвимость существует из-за недостаточной обработки входных данных в параметре "PathNews" в различных сценариях. Удаленный пользователь может выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера. Для удачной эксплуатации уязвимости опция "register_globals" должна быть включена в конфигурационном файле PHP. Пример:

http://[host]/article.php?PathNews=[file]
http://[host]/header.php?PathNews=[file]
http://[host]/news.php?PathNews=[file]

URL производителя: www.acgv.fr.st

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: ACGV News <= 0.9.1 (PathNews) Remote File Inclusion Vulnerability